dpp::application_install_params
application.h
permission permission dpp::application_install_params::permissions permissions dpp::application_install_params::permissions

A bitmask of dpp::permissions to request for the bot role.

std::vector< std::string > std::vector<std::string> dpp::application_install_params::scopes scopes dpp::application_install_params::scopes

The scopes as strings to add the application to the server with.

https://discord.com/developers/docs/topics/oauth2#shared-resources-oauth2-scopes

Represents the settings for the bot/application's in-app authorization link.

T
dpp::application_install_params
permissions
scopes
dpp::permission
value
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< std::string >
elements
< std::string >
uint64_t
- dpp::application_install_params
  permissions
- dpp::application_install_params
  scopes